# Function makeEvent

- makeEvent(
  registry: any,
  transitionService: any,
  eventType: any,
  ): (matchObject: any, callback: any, options?: {}) => any

  Return a registration function of the requested type.

  #### Parameters

  - registry: any
  - transitionService: any
  - eventType: any

  #### Returns (matchObject: any, callback: any, options?: {}) => any

  - Defined in src/router/transition/hook-registry.js:151